MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028096Open CASCADE[OCCT] OCCT:Codingpublic2016-11-13 08:582016-12-09 16:39
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028096: VC14 compiler warnings on 7.1.0.beta
DescriptionCompilation of OCCT 7.1.0.beta by VC++ 14 produces several warnings on local variable hiding another variable with the same name defined in outer scope.
Steps To ReproduceCompile with VS2015
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0060263)
git (administrator)
2016-11-13 09:01

Branch CR28096 has been created by abv.

SHA-1: 4debe23edd260d36845cfa420cdecaec6a01f9b9


Detailed log of new commits:

Author: abv
Date: Sun Nov 13 09:00:33 2016 +0300

    0028096: VC14 compiler warnings of 7.1.0.beta
    
    Warnings are eliminated
(0060264)
abv (manager)
2016-11-13 09:02

Fix is pushed to CR28096, please review
(0060265)
kgv (developer)
2016-11-13 12:07

Please test the patch.
(0060275)
git (administrator)
2016-11-14 09:50

Branch CR28096 has been updated by abv.

SHA-1: 53d8092f97392e2ae1197ab94ff51a3e371eb2f6


Detailed log of new commits:

Author: abv
Date: Mon Nov 14 09:50:23 2016 +0300

    // minor corrections in headers

(0060342)
apv (tester)
2016-11-15 12:26

Dear BugMaster,

Branch CR28096 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 53d8092f97392e2ae1197ab94ff51a3e371eb2f6

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1122

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91462921 / 91845686 [-0.42%]
Total CPU difference: 21469.210000000236 / 21473.29000000031 [-0.02%]

Testing on Windows:
Total MEMORY difference: 56576195 / 56597852 [-0.04%]
Total CPU difference: 19698.215069798473 / 19669.510885798518 [+0.15%]
(0060343)
apv (tester)
2016-11-15 12:27

VC14 compilation warnings have not been detected. Problem is fixed.
(0061291)
git (administrator)
2016-12-07 11:31

Branch CR28096 has been deleted by kgv.

SHA-1: 53d8092f97392e2ae1197ab94ff51a3e371eb2f6

- Related Changesets
occt: master 45d0af05
Timestamp: 2016-11-17 12:14:19
Author: abv
Committer: apn
Details ] Diff ]
0028096: VC14 compiler warnings of 7.1.0.beta

Warnings are eliminated
// minor corrections in headers
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.hxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset_1.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-13 08:58 abv New Issue
2016-11-13 08:58 abv Assigned To => kgv
2016-11-13 09:01 git Note Added: 0060263
2016-11-13 09:02 abv Note Added: 0060264
2016-11-13 09:02 abv Status new => resolved
2016-11-13 09:02 abv Steps to Reproduce Updated View Revisions
2016-11-13 09:02 abv Product Version => 7.1.0
2016-11-13 09:02 abv Target Version 7.2.0 => 7.1.0
2016-11-13 09:02 abv Summary VC14 compiler warnings of 7.1.0.beta => VC14 compiler warnings on 7.1.0.beta
2016-11-13 12:07 kgv Note Added: 0060265
2016-11-13 12:07 kgv Assigned To kgv => bugmaster
2016-11-13 12:07 kgv Status resolved => reviewed
2016-11-14 09:50 git Note Added: 0060275
2016-11-14 13:30 apn Assigned To bugmaster => apn
2016-11-15 12:25 apv Test case number => Not needed
2016-11-15 12:26 apv Note Added: 0060342
2016-11-15 12:26 apv Assigned To apn => bugmaster
2016-11-15 12:26 apv Status reviewed => tested
2016-11-15 12:27 apv Note Added: 0060343
2016-11-18 16:37 apn Changeset attached => occt master 45d0af05
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061291
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker